/*
 * Printer Filter for Pentax PocketJet / PocketJet II
 * (C) Copyright 2001, Rildo Pragana <rildo@pragana.net>
 * This is free software, released under the General Public License (GPL)
 * The development of this work was sponsored by Pentax Technologies.
 */

#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <signal.h>
#include <fcntl.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/poll.h>
#include <sys/stat.h>
#include <sys/sysmacros.h>
#include <sys/ioctl.h>
#include <termios.h>

#define MODEMDEVICE "/dev/ttyS1"
#define FALSE 0
#define TRUE 1

#define max(a,b) ((a) > (b) ? (a) : (b))
#define min(a,b) ((a) < (b) ? (a) : (b))

/* timeout reading pipes */
#define PSHDR_TIMEOUT   12000
#define PSDATA_TIMEOUT     200

/* misc constants */
#define HDRLINE_SIZE   200
#define COMP_THRESHOLD  16
#define SERBLK_SIZE 	50
#define SERBLK_DELAY 	500

#define CFGFN "/etc/pentaxpj.conf"

/* end of pentaxpj.h */

